Bug 115 - f2c gives segmentation fault when initializing
f2c gives segmentation fault when initializing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: fort77 (Show other bugs)
5.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-11-17 21:56 EST by nolty_r
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-16 17:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nolty_r 1998-11-17 21:56:20 EST
(I got this RPM from the contrib area, but the RPM info
lists `bugs@redhat.com' as the packager).

I am attempting to use f2c (f2c-19970805-3) on RedHat 5.1.
So far all
my programs compile OK, but one of my executables is
segmentation
faulting during initialization, before control transfers to
MAIN__.
The call stack after the crash is:

#0 malloc_extend_top
#1 chunk_alloc
#2 __libc_malloc
#3 malloc_hook_ini
#4 __libc_malloc
#5 f_init
#6 main

Routines #0-4 are from a malloc.c file that was apparently
compiled
debug (file and line number information is printed in gdb)
but I don't
have the .c file on my system.

Does anyone have any idea what could cause this?  This is a
very large
FORTRAN program linked against lots of large FORTRAN
libraries, but I
also compiled and linked a different program with 90% the
same code,
which initialized OK.

In /usr/doc/f2c-19970805/README, it says that the malloc.c
supplied
with f2c may not work on some systems; does anyone know if
this rpm
was compiled to use f2c's malloc.c?  Could that be the
problem?

Incidentally, I had this program working using f2c with an
old
slackware installation a few years ago.

Bob
Comment 1 Jeff Johnson 1999-05-14 14:52:59 EDT
There's a newer patched and maintained f2c that's part of PowerTools.
See if that fixes your problem. Please reopen this bug if not.

Note You need to log in before you can comment on or make changes to this bug.